linux: 2.6.38-16.67 -proposed tracker

Bug #1045383 reported by Luis Henriques on 2012-09-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-16.67 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 03. September 2012 15:17 UTC
kernel-stable-Certification-testing-end:Monday, 03. September 2012 15:31 UTC
kernel-stable-Prepare-package-end:Friday, 07. September 2012 13:03 UTC
kernel-stable-Promote-to-proposed-start:Friday, 07. September 2012 13:03 UTC
kernel-stable-Promote-to-proposed-end:Friday, 07. September 2012 22:45 UTC
kernel-stable-Verification-testing-start:Friday, 07. September 2012 23:46 UTC
kernel-stable-Security-signoff-start:Monday, 10. September 2012 12:31 UTC
kernel-stable-Verification-testing-end:Monday, 10. September 2012 12:31 UTC
kernel-stable-Regression-testing-start:Monday, 10. September 2012 12:31 UTC
kernel-stable-Security-signoff-end:Monday, 10. September 2012 22:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 12. September 2012 20:30 UTC
kernel-stable-Regression-testing-end:Wednesday, 12. September 2012 20:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 13. September 2012 23:31 UTC
kernel-stable-Promote-to-updates-end:Thursday, 13. September 2012 23:31 UTC

Luis Henriques (henrix) on 2012-09-03
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-03
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1047347

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 1047350

description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-07
description: updated
Brad Figg (brad-figg) on 2012-09-07
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified, moving to testing.

Brad Figg (brad-figg) on 2012-09-10
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-10
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-12
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-16.67

---------------
linux (2.6.38-16.67) natty-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1045383

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * eCryptfs: Initialize empty lower files when opening them
    - LP: #911507
  * net: Allow driver to limit number of GSO segments per skb
    - LP: #1037456
    - CVE-2012-3412
  * tcp: do not scale TSO segment size with reordering degree
    - LP: #1037456
    - CVE-2012-3412
  * tcp: Apply device TSO segment limit earlier
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Replace some literal constants with EFX_PAGE_SIZE/EFX_BUF_SIZE
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
  * mm: Hold a file reference in madvise_remove
    - LP: #1042447
    - CVE-2012-3511
  * cred: copy_process() should clear child->replacement_session_keyring
    - LP: #1023535
    - CVE-2012-2745
 -- Luis Henriques <email address hidden> Thu, 06 Sep 2012 09:25:21 +0100

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to -updates and -security.

Changed in linux (Ubuntu):
status: In Progress → Invalid

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers